Subject: bug#837 closed by [email-masked] (#837: fixed in src:debootstrap version 1.0.134devuan1)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Tue, 05 Mar 2024 17:47:40 +0000

This is an automatic notification regarding your bug report
which was filed against the debootstrap package:

#837: debootstrap: Requires explicit --merged-usr for excalibur/ceres

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
837: https://bugs.devuan.org/cgi/bugreport.cgi?bug=837
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #837: fixed in src:debootstrap version 1.0.134devuan1
From: [email-masked]
To: [email-masked]
Date: Tue, 05 Mar 2024 17:44:12 +0000

Version: 1.0.134devuan1

Source package debootstrap (1.0.134devuan1) added to Devuan suite unstable.

This closes bug report 837.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Tue, 05 Mar 2024 17:20:49 +0000
Source: debootstrap
Architecture: source
Version: 1.0.134devuan1
Distribution: unstable
Urgency: medium
Maintainer: Devuan-Dev Team <[email-masked]>
Changed-By: Mark Hindley <[email-masked]>
Closes: 796 837
Changes:
 debootstrap (1.0.134devuan1) unstable; urgency=medium
 .
   * Merge Debian tag 1.0.134.
   * debootstrap.8: update documentation of Devuan's /usr merged/unmerged
     suites.
   * Add symlink for future Devuan 7 codename 'freia'.
   * Reduce unnecessary diff with Debian.
   * scripts/ceres: remove cruft, only Devuan codenames are relevant here.
   * Rework Devuan handling of merged /usr (Closes: #837).
   * Prefer usr-is-merged over usrmerge, if available.
   * Set default mirror in script/ceres and use deb.devuan.org RR.
   * Exclude cron-daemon-common for excalibur and more recent (Closes: #796).
Checksums-Sha1:
 052b1376a7e14e906ae6f51ec7428dde0bcee4d5 1703 debootstrap_1.0.134devuan1.dsc
 1602d92ada662c56d126d3981208596ea7692db8 92053 debootstrap_1.0.134devuan1.tar.gz
 d8f41220dacd24225f86d6a9e1e7f83a861d59fb 5441 debootstrap_1.0.134devuan1_source.buildinfo
Checksums-Sha256:
 ebd86bf27a6f7aa1d1bc804eeefcde98f12fa9946cedabeeda951c0e6bb950f3 1703 debootstrap_1.0.134devuan1.dsc
 4dfd5a1981cdd7e7878a387a2a473749eb1d0b06b53dc807e471ef6dd868271f 92053 debootstrap_1.0.134devuan1.tar.gz
 e3963c67cecfd33a39d4cfd42faf04fd8d0d5d11a4ccab197da9b18be70514a7 5441 debootstrap_1.0.134devuan1_source.buildinfo
Files:
 443304153d952c2e70ef8c7f6b8ec746 1703 admin optional debootstrap_1.0.134devuan1.dsc
 f52a62162b67622a5f220711ea2fa4ba 92053 admin optional debootstrap_1.0.134devuan1.tar.gz
 503f51904f5d0dfcceb5ec472f84d4c2 5441 admin optional debootstrap_1.0.134devuan1_source.buildinfo

Subject: debootstrap: Requires explicit --merged-usr for excalibur/ceres
From: Olaf Meeuwissen <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Sat, 02 Mar 2024 15:40:37 +0900

Package: debootstrap
Version: 1.0.128+nmu2devuan2
Severity: normal

Dear Maintainer,

My official Devuan Docker image builds started failing and looking
into the issue[1], I noticed that an explicit --merged-usr option is
needed.  Considering that Devuan has decided[2] to go with UsrMerge as
of excalibur, I think that that is no longer the desired behaviour when
building excalibur or ceres.  For these and later versions --merged-usr
should be the default.

 [1]: https://git.devuan.org/paddy-hack/container-images/issues/55
 [2]: https://devuan.org/os/announce/excalibur-usrmerge-announce-2024-02-20.html

I took a peek at the changes for Debian's debootstrap (which is at
1.0.134, btw!) and noticed that there have been a few merged-usr
related changes since 1.0.128+nmu2.

-- System Information:
Architecture: x86_64

Kernel: Linux 6.6.15-amd64 (SMP w/16 CPU threads; PREEMPT)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: runit (via /run/runit.stopit)
LSM: AppArmor: enabled

Versions of packages debootstrap depends on:
pn  wget  <none>

Versions of packages debootstrap recommends:
pn  arch-test               <none>
ii  debian-archive-keyring  2023.4
ii  devuan-keyring          2023.10.07
ii  gnupg                   2.2.40-1.1
ii  mount                   2.39.3-6devuan1

Versions of packages debootstrap suggests:
ii  binutils                2.42-3
ii  debian-archive-keyring  2023.4
pn  squid-deb-proxy-client  <none>
pn  ubuntu-archive-keyring  <none>
ii  xz-utils                5.4.5-0.3
ii  zstd                    1.5.5+dfsg2-2

-- 
Olaf Meeuwissen